Index: trunk/jabberit_messenger/inc/login.php
===================================================================
--- trunk/jabberit_messenger/inc/login.php	(revision 1076)
+++ trunk/jabberit_messenger/inc/login.php	(revision 1097)
@@ -79,12 +79,20 @@
 			}
 		}
-
+		
+		// Load Applet ( Java )
+		$javaFiles = $path . "applet.jar,";
+		$javaPlugins = "";
+				
 		// Enable Plugins Java;
-		$pluginsJava[] = $path . "applet.jar?" . filemtime("applet.jar");
-		$pluginsJava[] = $path . "plugins/xhtml.jar?" . filemtime("plugins/xhtml.jar");
-		$pluginsJava[] = $path . "plugins/filetransfer.jar?" . filemtime("plugins/filetransfer.jar");		
+		$pluginsJava[] = "xhtml.jar";
+		$pluginsJava[] = "filetransfer.jar";		
 		
-		for($i = 0; $i < count($pluginsJava); $i++)
-			$javaFiles .= $pluginsJava[$i] . ",";
+		for( $i = 0; $i < count($pluginsJava); $i++ )
+		{
+			$javaFiles	 .= $path . "plugins/" . $pluginsJava[$i] . ",";
+			$javaPlugins .= substr($pluginsJava[$i], 0, strpos($pluginsJava[$i],".")).","; 
+		}
+		
+		$javaPlugins = trim(substr($javaPlugins, 0, strlen($javaPlugins)-1));
 
 		// Code Base Java;
@@ -92,5 +100,5 @@
 
 		// Lang Expresso
-		$lang = explode("-",$_SESSION['phpgw_info']['jabberit_messenger']['applet_lang']); 
+		$lang = explode("-", $_SESSION['phpgw_info']['jabberit_messenger']['applet_lang']); 
 		$country = strtoupper($lang[1]);
 		$language = $lang[0];
@@ -100,23 +108,26 @@
 		$template->set_var("path", $path);
 		$template->set_var("java_files", $javaFiles);
+		$template->set_var("value_cnname", $CnName[0]);
 		$template->set_var("value_codeBase", $codeBase);
-		$template->set_var("value_server",$_SESSION['phpgw_info']['jabberit_messenger']['name_jabberit']);
-		$template->set_var("value_host",$_SESSION['phpgw_info']['jabberit_messenger']['name_jabberit']);			
-		$template->set_var("value_port",$_SESSION['phpgw_info']['jabberit_messenger']['port_jabberit']);
-		$template->set_var("value_resource",$_SESSION['phpgw_info']['jabberit_messenger']['resource_jabberit']);
-		$template->set_var("value_user",$uid);
-		$template->set_var("value_password",$_SESSION['phpgw_info']['jabberit_messenger']['passwd']);
-		$template->set_var("value_ssl",$_SESSION['phpgw_info']['jabberit_messenger']['use_ssl_jabberit']);
-		$template->set_var("value_userproxy",$_SESSION['phpgw_info']['jabberit_messenger']['use_proxy_java']);
-		$template->set_var("value_expresso",$SERVER_EXPRESSO);
+		$template->set_var("value_company", $_SESSION['phpgw_info']['jabberit_messenger']['name_company']);
+		$template->set_var("value_country", $country);
+		$template->set_var("value_expresso", $SERVER_EXPRESSO);		
+		$template->set_var("value_host", $_SESSION['phpgw_info']['jabberit_messenger']['name_jabberit']);
+		$template->set_var("value_javaPlugins", $javaPlugins);
+		$template->set_var("value_language", $language);			
+		$template->set_var("value_password", $_SESSION['phpgw_info']['jabberit_messenger']['passwd']);
+		$template->set_var("value_port", $_SESSION['phpgw_info']['jabberit_messenger']['port_jabberit']);
+		$template->set_var("value_resource", $_SESSION['phpgw_info']['jabberit_messenger']['resource_jabberit']);
+		$template->set_var("value_server", $_SESSION['phpgw_info']['jabberit_messenger']['name_jabberit']);
+		$template->set_var("value_ssl", $_SESSION['phpgw_info']['jabberit_messenger']['use_ssl_jabberit']);
 		$template->set_var("value_use_https", $PROTOCOL);
-		$template->set_var("value_company", $_SESSION['phpgw_info']['jabberit_messenger']['name_company']);
-		$template->set_var("value_cnname",$CnName[0]);
-		$template->set_var("value_country", $country );
-		$template->set_var("value_language", $language );
+		$template->set_var("value_user", $uid);
+		$template->set_var("value_userproxy", $_SESSION['phpgw_info']['jabberit_messenger']['use_proxy_java']);
+		
 		if( strpos($_SERVER['HTTP_USER_AGENT'], "MSIE") )
 			$template->set_file(Array('jabberit_messenger' => 'jabberIM_IE.tpl'));
 		else
 			$template->set_file(Array('jabberit_messenger' => 'jabberIM.tpl'));
+			
 		$template->set_block('jabberit_messenger','index');
 		$template->pfp('out','index');
